Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RecoveryPolicy.Update(ctx, operations.C1APICredentialInventoryV1RecoveryPolicyServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RecoveryPolicyServiceUpdateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/recovery-policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recoveryPolicy": {
"allowedRecoveryTypes": [],
"displayName": "<string>",
"priority": 123,
"revokeOnRecovery": true
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/recovery-policies/{id}"
payload = {
"recoveryPolicy": {
"allowedRecoveryTypes": [],
"displayName": "<string>",
"priority": 123,
"revokeOnRecovery": True
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recoveryPolicy: {
allowedRecoveryTypes: [],
displayName: '<string>',
priority: 123,
revokeOnRecovery: true
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/recovery-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recoveryPolicy": {
"allowedRecoveryTypes": [],
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"isBuiltin": true,
"priority": 123,
"revokeOnRecovery": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Recovery Policy
Update
Update a recovery policy. Supply the policy object and an update mask listing the fields to change; omitted fields are left as-is.
POST
/
api
/
v1
/
recovery-policies
/
{id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RecoveryPolicy.Update(ctx, operations.C1APICredentialInventoryV1RecoveryPolicyServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RecoveryPolicyServiceUpdateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Unique identifier for the policy.
Body
application/json
Response
200 - application/json
Successful response
The RecoveryPolicyServiceUpdateResponse message.
RecoveryPolicy defines how users recover access when they lose their credentials.
Show child attributes
Show child attributes
Was this page helpful?
⌘I